Mac store 6.8.8. here....new laptop, cannot get safari extension

hello,

My computer at home runs extension 4.7.4 but when I install this on my new laptop it says that I must upgrade to 7. I've installed my Mac store version of the app 6.8.8 and works fine...I've tried installing the 4.7.4 and it says read only and seems to want to force the version 7.x loop that many of us don't want to buy into.

What am I missing this time?


1Password Version: 6.8.8
Extension Version: 4.7.4
OS Version: Mohave
Sync Type: Dropbox

Comments

  • brentybrenty

    Team Member

    @carboncow: Sorry for the version confusion there. 4.7.4 is the current 1Password desktop extension release, and that works with all current/recent versions of our desktop apps in Firefox and Chrome (-based browsers).

    But I think you're also running into some Mac App Store confusion. You won't be able to use an old version of 1Password with Safari anymore, as Apple is now using Safari App Extensions. They're built into apps themselves, which is why it's having you install 1Password 7. 1Password 6 was created before those even existed, and won't work with Safari going forward. So you'd need to either upgrade to 1Password 7 or use a different browser. The latter is not recommended since 1Password 6 is no longer being developed and won't be updated to work with newer browser and OS releases, but it could work for you for the time being at least.

    I hope this helps. Be sure to let me know if you have any other questions! :)

Leave a Comment

BoldItalicStrikethroughOrdered listUnordered list
Emoji
Image
Align leftAlign centerAlign rightToggle HTML viewToggle full pageToggle lights
Drop image/file